PHP 手册
后退 | 章 19. 类与对象（PHP 5） | 前进

# Class Constants

It is possible to define constant values on a per-class basis remaining the same and unchangeable. Constants differ from normal variables in that you don't use the $ symbol to declare or use them. Like static members, constant values cannot be accessed from an instance of the object (using $object::constant).

例子 19-15. Defining and using a constant

`<?php class MyClass { const constant = 'constant value'; function showConstant() { echo self::constant . "\n"; } } echo MyClass::constant . "\n"; $class = new MyClass(); $class->showConstant(); // echo $class::constant; is not allowed ?>`

后退 | 起点 | 前进
Static Keyword | 上一级 | Class Abstraction